Subject: Re: [mmots-2016-06-09-16-49] sleeping function called from slab_alloc()

From: Andrew Morton <[email-masked]>
Date: Fri, 10 Jun 2016 14:59:16 -0700

On Fri, 10 Jun 2016 11:55:54 +0200 mhocko <[email-masked]> wrote:

> On 2016-06-10 11:50, Sergey Senozhatsky wrote:
> > Hello,
> > 
> > forked from http://marc.info/?l=linux-mm&m=146553910928716&w=2
> > 
> > new_slab()->BUG->die()->exit_signals() can be called from atomic
> > context: local IRQs disabled in slab_alloc().
> 
> I have sent a patch to drop the BUG() from that path today. It
> is just too aggressive way to react to a non-critical bug.
> See 
> http://lkml.kernel.org/r/[email-masked]

Doesn't this simply mean that Sergey's workload will blurt a pr_warn()
rather than a BUG()?  That still needs fixing.  Confused.